Summary: A remote mail retrieval and forwarding utility.
Name: fetchmail
%define version 5.0.0
Version: %{version}
Release: 1
Requires: smtpdaemon
Source: ftp://locke.ccil.org/pub/esr/fetchmail/fetchmail-%{version}.tar.gz
Copyright: freely redistributable
Group: Applications/Internet
Buildroot: /var/tmp/fetchmail-root

%package -n fetchmailconf
Summary: A utility for graphically configuring your fetchmail preferences.
Group: Applications/Internet
Requires: python, tk

%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%description -n fetchmailconf
Fetchmailconf is a tcl/tk application for graphically configuring
your .fetchmailrc preferences file.  Fetchmail has many options
which can be daunting to the new user.  This utility takes some of
the guesswork and hassle out of setting up fetchmail.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf fetchmail.1 $RPM_BUILD_ROOT/usr/man/man1/fetchmailconf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FEATURES README NEWS NOTES *.html FAQ COPYING INSTALL sample.rcfile
/usr/bin/fetchmail
/usr/man/man1/fetchmail.1

%files -n fetchmailconf
%defattr(-,root,root)
/usr/bin/fetchmailconf
/usr/man/man1/fetchmailconf.1

%changelog
* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- 5.0.0

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- subpackage for fetchmailconf

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 4.7.0
- build against glibc 2.1

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- correct typo in dangling symlink fix.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- update to 4.5.8

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.5.3.

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- fixed spelung eror in the decsriptoin

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- new version 4.4.4 fixes a lot of bugs

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.4.1
- buildroot

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- Updated to 4.3.2 using SRPM from Eric Raymond

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
